Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452813 - pvdisplay of 250 luns with 4 paths each (1000 paths) takes many hours or days and consumes 4+GB of RAM
Summary: pvdisplay of 250 luns with 4 paths each (1000 paths) takes many hours or days...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2
Version: 5.2
Hardware: All
OS: All
high
high
Target Milestone: rc
: ---
Assignee: Milan Broz
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-25 09:09 UTC by Milan Broz
Modified: 2018-10-20 03:12 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 21:46:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0179 normal SHIPPED_LIVE lvm2 bug-fix and enhancement update 2009-01-20 16:05:45 UTC

Description Milan Broz 2008-06-25 09:09:32 UTC
+++ This bug was initially created as a clone of Bug #261521 +++
RHEL5 clone

Basic issue is pvdisplay is taking an unreasonably long time and consuming an
unreasonably large amount of RAM.
...

-- Additional comment from mbroz@redhat.com on 2008-02-01 10:12 EST --
There are basically two steps to speed up this process we are working on
1) use internal cache for device labels
2) use internal cache for metadata areas

See also bug #426147 - [RFE] Load balancing of lvm metadata across pv's

Comment 1 RHEL Product and Program Management 2008-06-25 09:14:05 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Milan Broz 2008-07-03 09:36:17 UTC
Commited to CVS in version lvm2-2.02.39-1.el5.

Comment 10 errata-xmlrpc 2009-01-20 21:46:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0179.html


Note You need to log in before you can comment on or make changes to this bug.